#include <stdio.h>
#include <stdlib.h>
#include <gencc.h>
#include <wwbump_stub_c.h>
#include <wwbump_cb_c.h>


int getcnt(char *ig)
{
	struct gencc	g;
	ix_error	e;
	long		rv;

	if ( gencc_init(&g, TWOWAY, ig, stub_wwbump_init, 0, 0) < 0 )
		return -1;

	if ( stub_wwbump_getcnt(&g.base, &rv) < 0 )
		return -1;

	if ( gencc_fini(&g, stub_wwbump_fini, 0) < 0 )
		return -1;

	return rv;
}


int main(int argc, char *argv[])
{
	char   *ig;
	long	cnt;

	if (argc == 3 && strcmp(argv[1], "-i") == 0) {
		ig = argv[2];
	}
	else {
		ig = "wwbump";
	}

	if ( (cnt = getcnt(ig)) < 0)
		fprintf(stderr, "Unknown error running crosscall on wwbump\n");
	else
		printf("%d Web packets have been seen so far.\n", cnt);

	return 0;
}
